Payments feed
GET
/api/app/service-provider/payments
const url = 'https://test.unipay.co.zw/api/app/service-provider/payments';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://test.unipay.co.zw/api/app/service-provider/payments \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”afterId
string format: uuid
Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
object
successful
boolean
message
string
isNewRecord
boolean
status
string
errorCode
string
payments
Array<object>
object
id
required
string format: uuid
uniqueNo
required
string
billNo
required
string
serviceProvider
required
string
rrn
required
string
paymentDate
string format: date-time
currency
required
string
amount
number format: double
accountNumber
string
allocatedAmount
number format: double
allocatedCurrency
string
allocationRate
number format: double
Examplegenerated
[ { "successful": true, "message": "example", "isNewRecord": true, "status": "example", "errorCode": "example", "payments": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "uniqueNo": "example", "billNo": "example", "serviceProvider": "example", "rrn": "example", "paymentDate": "2026-04-15T12:00:00Z", "currency": "example", "amount": 1, "accountNumber": "example", "allocatedAmount": 1, "allocatedCurrency": "example", "allocationRate": 1 } ] }]Bad Request
Media typeapplication/json
object
error
object
code
string
message
string
details
string
data
object
key
additional properties
validationErrors
Array<object>
object
message
string
members
Array<string>
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example", "data": { "additionalProperty": "example" }, "validationErrors": [ { "message": "example", "members": [ "example" ] } ] }}Unauthorized: token missing, invalid or expired. Empty body.
Forbidden: the token lacks the scope this call needs. Empty body. (Refusals specific to your organisation use the error object.)
Not found: wrong path. Empty body.
Internal Server Error
Media typeapplication/json
object
error
object
code
string
message
string
details
string
data
object
key
additional properties
validationErrors
Array<object>
object
message
string
members
Array<string>
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example", "data": { "additionalProperty": "example" }, "validationErrors": [ { "message": "example", "members": [ "example" ] } ] }}UniPay API v1 · build e1eb5c49 · Powered by Axis Solutions